Bug 1564423 - Improve messages for tasks/jobs
Summary: Improve messages for tasks/jobs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-commons
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nishanth Thomas
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-06 08:54 UTC by Nishanth Thomas
Modified: 2018-09-04 07:04 UTC (History)
3 users (show)

Fixed In Version: tendrl-commons-1.6.3-2.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:03:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Example of new import task page (104.47 KB, image/png)
2018-08-09 13:35 UTC, Filip Balák
no flags Details
Example of old import task page (154.51 KB, image/png)
2018-08-09 13:36 UTC, Filip Balák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl commons issues 834 0 None None None 2018-04-24 10:48:07 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:04:50 UTC

Description Nishanth Thomas 2018-04-06 08:54:49 UTC
Description of problem:

Messages are too verbose
Task messages (in UI) are several lines and pages long
Some of the task messages should be Debug (vs. Info), and there ought to be a way to suppress debug vs. non-debug information
Every config parameter does not need to be expressed in the Task Details as we’re trying to convey what task is performed.

Comment 3 Martin Bukatovic 2018-04-25 08:49:28 UTC
QE team will consult document linked in comment 2 to understand what improvements
in log messages are expected in this bug fix.

Comment 6 Filip Balák 2018-08-09 13:35:59 UTC
Created attachment 1474679 [details]
Example of new import task page

Comment 7 Filip Balák 2018-08-09 13:36:30 UTC
Created attachment 1474680 [details]
Example of old import task page

Comment 8 Filip Balák 2018-08-10 08:09:22 UTC
As is stated in the document in comment 2:
* Task messages are several lines and pages long
* Messages are verbose and often don’t mean very much to a user
* Some of the task messages should be Debug (vs. Info), and there ought to be a way to suppress debug vs. non-debug information
* Every config parameter does not need to be expressed in the Task Details as we’re trying to convey what task is performed
* Acquiring and releasing of locks should be DEBUG tasks?

This has been improved in task messages. Messages are now less verbose and are clear about what is happening, except for acquiring and releasing lock messages which might be moved to DEBUG (for this was filed BZ 1614671 where it can be discussed). DEBUG messages are currently not shown and there is no way to turn on verbose mode for user.
--> VERIFIED

Tested with:
tendrl-ansible-1.6.3-6.el7rhgs.noarch
tendrl-api-1.6.3-5.el7rhgs.noarch
tendrl-api-httpd-1.6.3-5.el7rhgs.noarch
tendrl-commons-1.6.3-11.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-8.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-8.el7rhgs.noarch
tendrl-node-agent-1.6.3-9.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-9.el7rhgs.noarch

Comment 10 errata-xmlrpc 2018-09-04 07:03:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.